<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('action_log'))
{
	function action_log($info, $table, $operation, $id, $name='---'){
		$CI =& get_instance();
		$data = array(
			'action_log_user_id' => $CI->session->userdata('uzytkownik_id'),
			'action_log_login' => $CI->session->userdata('uzytkownik'),
			'action_log_info' => $info.'. Tabela '.$table.', operacja '.$operation.', ID pozycji '.$id.', nazwa '.$name
		);
		
		
		
		$CI->db->set('action_log_time', 'sysdate()', FALSE);
		$CI->db->insert('action_log', $data);
		
		
	}
}

/* Location: ./system/helpers/url_helper.php */